Bug 210960 - [PATCH] bsd.emacs.mk: Remove ${PORTSDIR} from the BUILD/RUN_DEPENDS entries
Summary: [PATCH] bsd.emacs.mk: Remove ${PORTSDIR} from the BUILD/RUN_DEPENDS entries
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ashish SHUKLA
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-07-10 11:02 UTC by Raphael Kubo da Costa
Modified: 2016-07-23 10:18 UTC (History)
1 user (show)

See Also:
ashish: maintainer-feedback+


Attachments
Patch v1 (1.26 KB, patch)
2016-07-10 11:02 UTC, Raphael Kubo da Costa
rakuco: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Raphael Kubo da Costa freebsd_committer 2016-07-10 11:02:43 UTC
Created attachment 172310 [details]
Patch v1

At the moment, ports with USE_EMACS=yes fail `make check-sanity' when DEVELOPER=1:

    It looks like the /usr/local/bin/emacs-25.0.93:/usr/ports/editors/emacs-devel depends line has an absolute port origin, make sure to remove ${PORTSDIR}/ from it.

This happens because EMACS_PORTSDIR still has ${PORTSDIR}, so BUILD/RUN_DEPENDS ends up looking like
    RUN_DEPENDS+=  ${EMACS_CMD}:${PORTSDIR}/editors/emacs

The attached patch removes ${PORTSDIR} from EMACS_PORTSDIR and renames the variable to EMACS_PORTDIR since it better reflects what it represents now.
Comment 1 commit-hook freebsd_committer 2016-07-22 03:30:09 UTC
A commit references this bug:

Author: ashish
Date: Fri Jul 22 03:29:47 UTC 2016
New revision: 418909
URL: https://svnweb.freebsd.org/changeset/ports/418909

Log:
  - Update EMACS_PORTSDIR to match new convention of specifying dependency
    ports, and rename it to EMACS_PORTDIR

  PR:		210960
  Submitted by:	rakuco

Changes:
  head/Mk/bsd.emacs.mk
Comment 2 Ashish SHUKLA freebsd_committer 2016-07-22 03:31:04 UTC
Thank you for your diff. I have committed it.